# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "meroku/version"

Gem::Specification.new do |spec|
  spec.name          = "meroku"
  spec.version       = Meroku::VERSION
  spec.authors       = ["Meroku System"]
  spec.email         = ["meroku.system@gmail.com"]

  spec.summary       = %q{No Summary}
  spec.description   = %q{No Description}
  spec.homepage      = "http://www.github.com/meroku/meroku"
  spec.license       = "MIT"
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency     "byebug", '~> 9.1', '>= 9.1.0'
  spec.add_runtime_dependency     'rest-client', '>= 1.8'
  spec.add_runtime_dependency     "aws-sdk-ec2", "~> 1"
  spec.add_runtime_dependency     "net-ssh", '~> 4.2', '>= 4.2.0'
  
  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "simplecov", "~> 0.14.1"
  spec.add_development_dependency "mocha", '~> 1.3', '>= 1.3.0'
end
